javax.websocket.server

## Class ServerEndpointConfig.Configurator

- java.lang.Object
- - javax.websocket.server.ServerEndpointConfig.Configurator

Enclosing interface:
  ServerEndpointConfig

    public static class ServerEndpointConfig.Configurator
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ServerEndpointConfig.Configurator()`

### Method Summary

Methods
`boolean` `checkOrigin(java.lang.String originHeaderValue)`
`<T> T` `getEndpointInstance(java.lang.Class<T> clazz)`
`java.util.List<Extension>` `getNegotiatedExtensions(java.util.List<Extension> installed, java.util.List<Extension> requested)`
`java.lang.String` `getNegotiatedSubprotocol(java.util.List<java.lang.String> supported, java.util.List<java.lang.String> requested)`
`void` `modifyHandshake(ServerEndpointConfig sec, HandshakeRequest request, HandshakeResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerEndpointConfig.Configurator

    public ServerEndpointConfig.Configurator()

### Method Detail

#### getNegotiatedSubprotocol

    public java.lang.String getNegotiatedSubprotocol(java.util.List<java.lang.String> supported,
                                            java.util.List<java.lang.String> requested)

#### getNegotiatedExtensions

    public java.util.List<Extension> getNegotiatedExtensions(java.util.List<Extension> installed,
                                                    java.util.List<Extension> requested)

#### checkOrigin

    public boolean checkOrigin(java.lang.String originHeaderValue)

#### modifyHandshake

    public void modifyHandshake(ServerEndpointConfig sec,
                       HandshakeRequest request,
                       HandshakeResponse response)

#### getEndpointInstance

    public <T> T getEndpointInstance(java.lang.Class<T> clazz)
                          throws java.lang.InstantiationException

Throws:
  `java.lang.InstantiationException`